Package org.eclipse.lemminx.services.extensions

## Interface IReferenceParticipant

All Known Implementing Classes:
  `AbstractReferenceParticipant`, `DTDReferenceParticipant`, `RNGReferenceParticipant`, `XMLReferencesReferenceParticipant`, `XSDReferenceParticipant`

    public interface IReferenceParticipant

Reference participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findReference​(DOMDocument document, org.eclipse.lsp4j.Position position, org.eclipse.lsp4j.ReferenceContext context, List<org.eclipse.lsp4j.Location> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Method Detail

#### findReference

    void findReference​(DOMDocument document,
                       org.eclipse.lsp4j.Position position,
                       org.eclipse.lsp4j.ReferenceContext context,
                       List<org.eclipse.lsp4j.Location> locations,
                       org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)